Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class DefaultAutoIndentStrategy

    java.lang.Object
      org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy
          org.eclipse.jface.text.DefaultAutoIndentStrategy

All Implemented Interfaces:
  IAutoEditStrategy, IAutoIndentStrategy

Deprecated. since 3.1 use `DefaultIndentLineAutoEditStrategy` instead

    public class DefaultAutoIndentStrategy

extends DefaultIndentLineAutoEditStrategy
implements IAutoIndentStrategy

Default implementation of `IAutoIndentStrategy`. This strategy always copies the indentation of the previous line.

This class is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`DefaultAutoIndentStrategy()` Deprecated. Creates a new default auto indent strategy.

Method Summary

Methods inherited from class org.eclipse.jface.text.DefaultIndentLineAutoEditStrategy
`customizeDocumentCommand, findEndOfWhiteSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.IAutoEditStrategy
`customizeDocumentCommand`

Constructor Detail

### DefaultAutoIndentStrategy

    public DefaultAutoIndentStrategy()

  Deprecated.
  Creates a new default auto indent strategy.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.